<% if (recent_connections && recent_connections.length) { %>
<div class="flex">
    <% } %>
    <% if (recent_connections && recent_connections.length) { %>
        <div class="recent-connection">
            <h4 style="margin-top:0;font-style:oblique;">Saved Connections</h4>
            <% for (var i = 0; i < recent_connections.length; i++) { %>
                <div style="border-bottom: 1px solid #2f3a4b;margin-bottom:8px;padding-bottom:8px;"
                     id="recent-connection-handle-<%= i %>">
                    <div class="item"
                         style="max-width: 200px;overflow-x:hidden;display:inline-block;white-space: nowrap;"><a
                                id="recent-connection-<%= i %>"
                                href="#"><span
                                    class="tooltip"><%= recent_connections[i].inputUri %></span><%= recent_connections[i].nickname || recent_connections[i].inputUri %>
                        </a>
                    </div>
                    <a class="remove" id="remove-recent-connection-<%= i %>" href="#"><i
                                class="far fa-trash-alt"></i></a>
                </div>
            <% } %>
        </div>
    <% } %>
    <div class="hero flex align-center justify-center">

        <div class="flex" style="justify-content: stretch;flex-direction: row;">
            <div>
                <div>

                    <h1 class="display-1"
                        style="margin-bottom:0;font-weight:bolder;font-size:58pt;font-style: oblique;">
                        <img src="spectre-ghost.png"
                             style="height:91px; vertical-align: top; position: relative;left: -8px; top: 0;">Spectre
                    </h1>
                    <h4 style="margin-top:0;text-align:right;font-style:oblique;">for Apache Kafka</h4></div>

                <div class="flex">
                    <input id="uri" type="text" value="<%= inputUri || "localhost:9092" %>"
                           placeholder="localhost:9092" style="width:100%;">
                    <div id="connection_status" style="display: inline-block;color:#999;margin:0 7px;"><i
                                class="fas fa-fw fa-ellipsis-h"></i></div>
                    <input id="connect" type="submit" value="Connect"><br/>
                </div>
                <small style="margin: 8px 0;display:block;">Optional Connection Parameters: <select
                            id="connection_auth_type">
                        <option <%= auth_type === "none" ? "selected=true" : "" %> value="none">No Authentication
                        </option>
                        <option <%= auth_type === "plain" ? "selected=true" : "" %> value="plain">SASL (Username &
                            Password)
                        </option>
                        <option <%= auth_type === "confluent" ? "selected=true" : "" %> value="confluent">Confluent
                            Kafka
                        </option>
                        <option <%= auth_type === "aiven" ? "selected=true" : "" %> value="aiven">Aiven
                        </option>
                        <option <%= auth_type === "aws-ssh" ? "selected=true" : "" %> value="aws-ssh">AWS SSH</option>
                        <option <%= auth_type === "gcp-ssh" ? "selected=true" : "" %> value="gcp-ssh">Google Cloud SSH
                        </option>
                        <option <%= auth_type === "azure-ssh" ? "selected=true" : "" %> value="azure-ssh">Azure SSH
                        </option>
                        <option <%= auth_type === "k8s" ? "selected=true" : "" %> value="k8s">Kubernetes
                        </option>
                    </select>
                </small>

                <div class="connection_type" id="plain" style="<%= auth_type !== "plain" ? "display:none" : "" %>">
                    <div class="flex" style="padding-bottom:8px;">
                        <input id="username" class="optional" type="text" placeholder="Username"
                               value="<%= username || "" %>"
                               style="width:100%;margin-right:8px;">
                        <input id="password" class="optional" type="password" placeholder="Password"
                               value="<%= password || "" %>" style="width:100%;">
                    </div>
                    <div class="flex">
                        <small style="margin: 8px 8px 8px 0px;display:block;">SASL Mechanism
                            <select id="sasl_mechanism">
                                <option <%= sasl_mechanism === "plain" || !sasl_mechanism ? "selected=true" : "" %> value="plain">PLAIN (Default)</option>
                                <option <%= sasl_mechanism === "scram-sha-256" ? "selected=true" : "" %> value="scram-sha-256">SCRAM-SHA-256</option>
                                <option <%= sasl_mechanism === "scram-sha-512" ? "selected=true" : "" %> value="scram-sha-512">SCRAM-SHA-512</option>
                            </select>
                        </small>
                        <p style="margin:0;padding:0;">
                            <label for="ssl_enabled" class="noselect"><input id="ssl_enabled"
                                                                                 type="checkbox" <%= (ssl_enabled) ? "checked" : "" %>
                                         onchange="if(this.checked){document.getElementById('ssl_options').style='display: block'}else{ document.getElementById('ssl_options').style='display: none' }"
                                /><span
                                        class="input-checkbox-icon"> SSL </span></label>
                        </p>
                    </div>
                    <div  id="ssl_options" style="display: none">
                        <div class="flex" style="margin-bottom:8px;">
                            <p>

                            <label for="ssl_self_signed" class="noselect"><input id="ssl_self_signed"
                                                                                 type="checkbox" <%= (ssl_self_signed) ? "checked" : "" %>
                                /><span
                                        class="input-checkbox-icon"> Allow Self Signed Certificates </span></label>
                            </p>
                        </div>
                    </div>
                </div>

                <div class="connection_type" id="confluent"
                     style="<%= auth_type !== "confluent" ? "display:none" : "" %>">
                    <div class="flex">
                        <input id="confluent_username" class="optional" type="text" placeholder="Confluent Username"
                               value="<%= confluent_username || "" %>"
                               style="width:100%;margin-right:8px;">
                        <input id="confluent_password" class="optional" type="password" placeholder="Confluent Password"
                               value="<%= confluent_password || "" %>" style="width:100%;">
                    </div>
                </div>

                <div class="connection_type" id="aiven" style="<%= auth_type !== "aiven" ? "display:none" : "" %>">
                    <div class="flex" style="margin-bottom: 8px">
                        <input id="aiven_user" class="optional" type="text" placeholder="User"
                               value="<%= aiven_user || "" %>"
                               style="width:100%;margin-right:8px;">
                        <input id="aiven_password" class="optional" type="password" placeholder="Password"
                               value="<%= aiven_password || "" %>" style="width:100%;">
                    </div>
                    <div class="flex" style="margin-bottom:8px;">

                        <small style="width:25%;">CA Cert</small>

                        <div>
                            <input id="aiven_ca_path" value="<%= aiven_ca_path %>" class="optional" type="file"
                                   placeholder="roleId"
                                   style="width:100%;display:none;"
                                   onchange="document.getElementById('aiven_ca_path_text').value=`${document.getElementById('aiven_ca_path').files[0]?document.getElementById('aiven_ca_path').files[0].path:''}`;">
                            <input type="button" value="Choose File"
                                   onclick="document.getElementById('aiven_ca_path').click();"/>
                        </div>
                        <div style="width:100%;margin-left:8px;">
                            <input id="aiven_ca_path_text" type="text" value="<%= aiven_ca_path %>" placeholder="CA Certificate Path"
                                   style="width:100%;">
                        </div>

                    </div>
                    <div class="flex" style="margin-bottom:8px;">

                        <small style="width:25%;">SSL Key</small>

                        <div>
                            <input id="aiven_key_path" value="<%= aiven_key_path %>" class="optional" type="file"
                                   placeholder="roleId"
                                   style="width:100%;display:none;"
                                   onchange="document.getElementById('aiven_key_path_text').value=`${document.getElementById('aiven_key_path').files[0]?document.getElementById('aiven_key_path').files[0].path:''}`;">
                            <input type="button" value="Choose File"
                                   onclick="document.getElementById('aiven_key_path').click();"/>
                        </div>
                        <div style="width:100%;margin-left:8px;">
                            <input id="aiven_key_path_text" type="text" value="<%= aiven_key_path %>" placeholder="SSL Key Path"
                                   style="width:100%;">
                        </div>

                    </div>
                    <div class="flex" style="margin-bottom:8px;">

                        <small style="width:25%;">SSL Cert</small>

                        <div>
                            <input id="aiven_cert_path" value="<%= aiven_cert_path %>" class="optional" type="file"
                                   placeholder="roleId"
                                   style="width:100%;display:none;"
                                   onchange="document.getElementById('aiven_cert_path_text').value=`${document.getElementById('aiven_cert_path').files[0]?document.getElementById('aiven_cert_path').files[0].path:''}`;">
                            <input type="button" value="Choose File"
                                   onclick="document.getElementById('aiven_cert_path').click();"/>
                        </div>
                        <div style="width:100%;margin-left:8px;">
                            <input id="aiven_cert_path_text" type="text" value="<%= aiven_cert_path %>" placeholder="Certificate Path"
                                   style="width:100%;">
                        </div>

                    </div>
                </div>

                <div class="connection_type" id="ssh" style="<%= !auth_type.includes("-ssh") ? "display:none" : "" %>">

                    <div class="flex" style="margin-bottom:8px;">
                        <input id="ssh_host" class="optional" type="text" placeholder="SSH Host *"
                               value="<%= ssh_host || "" %>"
                               style="width:100%;margin-right:8px;">
                        <input id="ssh_port" class="optional" type="number" placeholder="SSH Port"
                               value="<%= ssh_port || "22" %>"
                               style="width:25%;">
                    </div>
                    <div class="flex" style="margin-bottom:8px;">
                        <input id="ssh_username" class="optional" type="text" placeholder="SSH Username *"
                               value="<%= ssh_username || "" %>"
                               style="width:100%;margin-right:8px;">
                        <input id="ssh_password" class="optional" type="password" placeholder="SSH Password"
                               value="<%= ssh_password || "" %>"
                               style="width:100%;margin-right:8px;">
                        <p style="width: 45%;margin:0;padding:0;">
                            <label for="ssh_use_rsa" class="noselect"><input id="ssh_use_rsa"
                                                                             type="checkbox" <%= (ssh_use_rsa) ? "checked" : "" %>/><span
                                        class="input-checkbox-icon"> SSH RSA </span></label>
                        </p>
                    </div>
                    <div class="flex" style="margin-bottom:8px;">

                        <small style="width:25%;">SSH Key Path</small>

                        <div>
                            <input id="ssh_path" value="<%= ssh_path %>" class="optional" type="file"
                                   placeholder="roleId"
                                   style="width:100%;display:none;"
                                   onchange="document.getElementById('ssh_path_text').value=`${document.getElementById('ssh_path').files[0]?document.getElementById('ssh_path').files[0].path:''}`;">
                            <input type="button" value="Choose File"
                                   onclick="document.getElementById('ssh_path').click();"/>
                        </div>
                        <div style="width:100%;margin-left:8px;">
                            <input id="ssh_path_text" type="text" value="<%= ssh_path %>" placeholder="SSH File Path"
                                   style="width:100%;">
                        </div>

                    </div>
                    <div class="flex" style="margin-bottom:8px;">
                        <div style="width:100%;">
                            <input id="ssh_passphrase" type="password" class="optional" value="<%= ssh_passphrase %>" placeholder="SSH Passphrase"
                                   style="width:100%;">
                        </div>
                    </div>
                    <div class="flex">
                        <input id="ssh_kafka_username" class="optional" type="text" placeholder="Kafka Username"
                               value="<%= ssh_kafka_username || "" %>"
                               style="width:100%;margin-right:8px;">
                        <input id="ssh_kafka_password" class="optional" type="password" placeholder="Kafka Password"
                               value="<%= ssh_kafka_password || "" %>"
                               style="width:100%;">
                    </div>
                </div>

                <div class="connection_type" id="k8s" style="<%= auth_type !== "k8s" ? "display:none" : "" %>">
                    <div class="flex" style="margin-bottom: 8px">
                        <input id="k8s_context" class="required" type="text" placeholder="Context*"
                               value="<%= k8s_context || "" %>"
                               style="width:50%;margin-right:8px;">
                        <input id="k8s_namespace" class="required" type="text" placeholder="Namespace*"
                               value="<%= k8s_namespace || "" %>"
                               style="width:50%;margin-right:8px;">
                    </div>
                    <div class="flex">
                        <input id="k8s_service" class="required" type="text" placeholder="Service*"
                               value="<%= k8s_service || "" %>"
                               style="width:50%;margin-right:8px;">
                        <input id="k8s_port" class="required" type="number" placeholder="Port*"
                               value="<%= k8s_port || "" %>"
                               style="width:50%;margin-right:8px;">
                    </div>
                    <div class="flex" style="margin-top: 8px">
                        <small>Optional:</small>
                    </div>
                    <div class="flex">
                        <input id="k8s_username" class="required" type="text" placeholder="Username"
                               value="<%= k8s_username || "" %>"
                               style="width:50%;margin-right:8px;">
                        <input id="k8s_password" class="required" type="password" placeholder="Password"
                               value="<%= k8s_password || "" %>"
                               style="width:50%;margin-right:8px;">
                    </div>
                    <div class="flex">
                        <small style="margin: 8px 8px 8px 0;display:block;">SASL Mechanism
                            <select id="k8s_sasl_mechanism">
                                <option <%= k8s_sasl_mechanism === "plain" || !k8s_sasl_mechanism ? "selected=true" : "" %> value="plain">PLAIN (Default)</option>
                                <option <%= k8s_sasl_mechanism === "scram-sha-256" ? "selected=true" : "" %> value="scram-sha-256">SCRAM-SHA-256</option>
                                <option <%= k8s_sasl_mechanism === "scram-sha-512" ? "selected=true" : "" %> value="scram-sha-512">SCRAM-SHA-512</option>
                            </select>
                        </small>
                        <p style="margin:0;padding:0;">
                            <label for="k8s_ssl_enabled" class="noselect"><input id="k8s_ssl_enabled"
                                                                             type="checkbox" <%= (k8s_ssl_enabled) ? "checked" : "" %>/><span
                                        class="input-checkbox-icon"> SSL </span></label>
                        </p>
                    </div>
                </div>

                <p>
                    <label for="save_connection" class="noselect"><input id="save_connection"
                                                                         type="checkbox" <%= save_connection %>/><span
                                class="input-checkbox-icon"> Save Connection for Later </span></label>
                    <input
                            id="save_connection_nickname" class="optional" style="display:none;" type="text"
                            placeholder="nickname (optional)">
                </p>

            </div>

        </div>

    </div>

    <% if (recent_connections && recent_connections.length) { %>
</div>
<% } %>
<footer>
    <p class="right" style="text-align: right;">
        From the people of <a href="https://oakframe.org" target="_blank">OakFrame</a> and <a
                href="https://timerocket.com" target="_blank">TimeRocket</a>.<br/>
        For questions or feature requests, email us at <a href="mailto:spectre.support@timerocket.com">spectre.support@timerocket.com</a>.<br/>
        <small>Apache, Apache Kafka, and Kafka are trademarks of the Apache Software Foundation.</small>
    </p>
</footer>